Prepaid card order

Create an order to collect a payment from a customer via Prepaid card methods.

Supported prepaid card payment methods

To learn more about supported prepaid card brands, see our Prepaid card documentation or the Gift cards section in Gateway IDs.

How to test

  1. Under Authentication > Query, enter a website API key from your TEST account.
  2. Enter dummy data manually under Body params, or go to the sandbox and click Examples and select a pre-filled example.
  3. Click Try it!

❗️ Never use a live API key!

💬 For support, email [email protected]

Body Params

Prepaid card order

string
enum

Redirects the customer to a payment page, where they can select a payment method and complete payment.

If no value is set, the order defaults to redirect.

Allowed:
string

The unique identifier for the payment method (gateway). See Gateway IDs.

If unset for redirect orders, the payment page displays all available payment methods.

string
length ≤ 50

Your unique (client-defined) identifier for the order.

string
length between 3 and 3

The currency of the payment.

Format: ISO-4217 currency code.

integer
≥ 0

The payment amount in the currency's smallest unit:

  • Decimal currencies: Value for 10 EUR = 1000 (1000 cents)
  • Zero-decimal currencies: Value for 10 JPY = 10

Discounts

To discount:

  • An entire order, enter a reduced amount.
  • Specific items in the order, in the shopping_cart, reduce the unit_price of the relevant items.
string
length ≤ 200

A description of the customer's order.

Appears on payment pages and customer bank statements (if supported by the bank).

payment_options
object

Contains:

  • URLs to your success page and cancel page. Make sure your URL only contains specific set of ASCII characters (alphanumeric, -, _, ., :, /).
  • Your webhook endpoint
  • Settings for displaying available gift cards
customer
object

The customer’s personal information.

delivery
object

The customer's shipping address.

checkout_options
object

Settings for the shopping cart, including taxes and validation.

shopping_cart
object

The array of items in the customer's shopping cart, including the shipping costs, and the tax class (as defined in checkout_options).

To learn how to calculate the order amount from the shopping_cart, see Rounding rule.

Discounts

string

Displays additional information on payment pages and in payment confirmation emails to customers using HTML, e.g. display order items instead of including a shopping_cart.

For information about supported HTML tags and elements, see Payment pages - Styling.

second_chance
object
custom_info
object

Additional information about the order.

integer
1 to 365
Defaults to 30

For redirect orders, sets the number of days the payment page and its link remain valid.

This parameter only controls the expiry of the payment page. It does not set or affect the expiry time of an initiated transaction. For more information about transaction expiry, see Transaction expiration.

The lifetime begins when the order is created or the payment link is generated. A session_id is returned in the payment page URL.

If Second Chance is enabled, we recommend a minimum lifetime of 48 hours. Second Chance emails the customer 2 payment reminders: 1 hour and 24 hours after the order is created. If the lifetime is less than 24 hours, the link in the second email is no longer active when the customer receives it.

See seconds_active below. If seconds_active is also set, seconds_active is used. If neither is set, the default is used.

string
1 to 31536000
Defaults to 2592000

For redirect orders, sets the number of seconds the payment page and its link remain valid.

This parameter only controls the expiry of the payment page. It does not set or affect the expiry time of an initiated transaction. For more information about transaction expiry, see Transaction expiration.

See days_active above. If days_active is also set, seconds_active is used. If neither is set, the default is used.

string
length ≤ 500

Variable for storing additional data.

string
length ≤ 500

Variable for storing additional data.

string
length ≤ 500

Variable for storing additional data, including split payments metadata.

plugin
object

Information about your integration (useful for debugging).

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json